﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

/*a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}*/

/* Provide sufficient contrast against white background */
/* Comment out a to use default prevet green on links */
/*a {
  color: #0366d6;
}

*/
/*.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}*/

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
/*    background-image: url(../images/PrevetBackground.jpg);
    background-repeat: no-repeat;
    background-size: cover;*/
}
.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  white-space: nowrap;
  line-height: 60px; /* Vertically center the text there */
}


/* Index page
-------------------------------------------------- */
#indexpage {
    position: relative;
    text-align: center;
    color: white;
}

.centered {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}


table.dataTable thead .sorting:after,
table.dataTable thead .sorting:before,
table.dataTable thead .sorting_asc:after,
table.dataTable thead .sorting_asc:before,
table.dataTable thead .sorting_asc_disabled:after,
table.dataTable thead .sorting_asc_disabled:before,
table.dataTable thead .sorting_desc:after,
table.dataTable thead .sorting_desc:before,
table.dataTable thead .sorting_desc_disabled:after,
table.dataTable thead .sorting_desc_disabled:before {
    bottom: .5em;
}

.imagethumbnail 
{
    width: 128px;
    height: auto;
}

.carousel-inner {
    text-align: center;
}

.carousel-inner img {
    max-width: 100%;
    max-height: 300px;
    width: auto;
    height: auto;
}


/*@font-face {
    font-family: "kansasnew";
    src: url("/fonts/kansasnew.woff2") format('woff');
}*/

@font-face {
    font-family: "Syncopate";
    src: url("../fonts/Syncopate.woff2") format('woff');
}

@font-face {
    font-family: "Calistoga";
    src: url("../fonts/Calistoga.woff2") format('woff');
}

.prevet-menu {
    font-family: Syncopate; /*"Syncopate 12 DEMI UPPERCASE*/
    text-transform: uppercase;
    font-size: 12px;    
    font-weight: 800;
/*    letter-spacing: 1px;*/
    padding: 13px 20px
}

.navbar-expand-sm .navbar-nav .nav-link {
    padding-right: 1rem;
    padding-left: 1rem;
}

.dropdown-item {
    display: block;
    width: 100%;
    padding: .5rem 1.5rem;
    clear: both;
    font-weight: 600;
    color: #28282B;
    text-align: inherit;
    white-space: nowrap;
    background-color: transparent;
    border: 0;
}

.prevet-welcome {
    font-family: Calistoga;
    font-weight: 600;
    letter-spacing: 1px;
    font-size: 3.5rem;
}

h1, h2, h3 {
    font-family: Calistoga; /*KansasNew 62 Semibold*/
    font-weight: 400;
    letter-spacing: 1px;
}

h4 {
    font-family: Syncopate; /*"Syncopate 12 DEMI UPPERCASE*/
    text-transform: uppercase;
    font-size: 0.75rem;
    font-weight: 800;
    letter-spacing: 1px;
}

.btn {
    transition: none;
    font-family: Syncopate; /*"Syncopate 12 DEMI UPPERCASE*/
    text-transform: uppercase;
    font-size: 12px;
    font-weight: 800;
/*    letter-spacing: 1px;*/
}

/* Datatable
-------------------------------------------------- */
.dataTables_filter {
    padding-bottom: 10px;
    float: right;
    text-align: left;
}

/* Card
-------------------------------------------------- */
.animalImageIndex {
    max-width: 0%;
    height: auto;
}

.card-details .card-body dl {
    margin: 1rem !important;
    display: flex;
    flex-wrap: wrap;
}

.card-details .card-body dl dd {
    flex: 0 0 75%;
    max-width: 75%;
}

.card-details .card-body dl dt {
    flex: 0 0 25%;
    max-width: 25%;
    min-height: 2rem;
    font-weight: 300;
}

.card-details .card-body dl dd table tbody tr td {
    padding-bottom: 0.5rem !important;
}

.cd-columns-2 .card-body dl dd {
    flex: 0 0 20%;
    max-width: 20%;
}

.cd-columns-2 .card-body dl dt {
    flex: 0 0 30%;
    max-width: 30%;
    min-height: 2rem;
    font-weight: 300;
}

.card-details .card-body h4 {
    padding-top: 1rem !important;
}

.card-edit .card-body {
    flex: 0 0 50%;
    max-width: 50%;
}

.card-edit .card-body h4 {
    padding-top: 1rem !important;
    padding-bottom: 0.5rem !important;
}

.card-edit .card-body .form-group {
    padding-left: 1rem !important;
}

.card-body .form-group p,
.card-edit .card-body .form-group .control-label {
    font-weight: 300;
}

.card .card-footer .btn {
    margin: .10rem !important;
}

/* Table
-------------------------------------------------- */
table.dataTable tr {
    font-weight: 300;
}

table.dataTable th {
    font-weight: 400;
    font-family: Syncopate;
    text-transform: uppercase;
    font-size: 0.75rem;
    font-weight: 800;
    letter-spacing: 1px;
}

table.dataTable tbody th,
table.dataTable tbody td {
    padding: 8px 10px;
}

table.dataTable th,
table.dataTable td {
    box-sizing: content-box;
}

.subtext {
    font-size: 0.75rem;
}


.card img,
.table img
{
    border-radius: 10px;
}

.card-body dd .navbar-brand img,
.card-body .form-group .navbar-brand img,
body header nav .container .navbar-brand img {
    width: auto;
    height: 40px;
    border-radius: 0px;
}

.imageexport {
    width: 10%;
    height: auto;
}

.printfloatbar {
    background: gray;
    width: 200px;
    height: 40px;
    position: fixed;
    left: 0;
    top: 0;
    z-index: 1000;
}

.extentionicon {
    width: 10%;
    height: auto;
}

@media print {
    header, footer {
        display: none !important;
    }
}

.abovetable {
    margin-bottom: 2.0rem;
}

